PostgreSQL szolgáltatás megtagadásos sérülékenység

CH azonosító

CH-8423

Angol cím

PostgreSQL "enum_recv()" Denial of Service Vulnerability

Felfedezés dátuma

2013.02.06.

Súlyosság

Alacsony

Érintett rendszerek

PostgreSQL
PostgreSQL Global Development Group

Érintett verziók

PostgreSQL 8.x, 9.x

Összefoglaló

A PostgreSQL egy sérülékenységét jelentették, amit kihasználva a rosszindulatú felhasználók szolgáltatás megtagadást (DoS – Denial of Service) idézhetnek elő.

Leírás

A sérülékenységet az “enum_recv()” függvény (backend/utils/adt/enum.c) egy bemeneti adat ellenőrzési hibája okozza, amit kihasználva össze lehet omlasztani a szervert speciálisan összeállított SQL lekérdezések segítségével.

A sérülékenységet a 64 bites 9.2.2-1 verzióban jelentették, de más kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra